%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global release_name juno

Name:		python-gbpclient
Version:	0.9.0
Release:	2%{?dist}
Summary:	Python API and CLI for OpenStack Neutron Group Based Policy

License:	ASL 2.0
URL:		https://launchpad.net/group-based-policy-client

Source0:	https://launchpad.net/group-based-policy-client/%{release_name}/%{version}/+download/python-group-based-policy-client-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools

Requires:	python-neutronclient = 2.3.9
Requires:	python-heatclient >= 0.2.9


%description
Client library and command line tool for interacting with OpenStack
Neutron's Group Based Policy (GBP) extension API.


%prep
%setup -qn python-group-based-policy-client-%{version}

# Remove precompiled egg-info
rm -rf *.egg-info

# Unused pbr dependency
rm gbpclient/version.py


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Remove unused files
rm -rf %{buildroot}%{python2_sitelib}/gbpclient/tests


%files
%doc LICENSE
%doc README.rst
%{_bindir}/gbp
%{python2_sitelib}/gbpclient
%{python2_sitelib}/python_group_based_policy_client-*.egg-info


%changelog
* Sun Feb 22 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.9.0-2
- Fix build on EL6

* Fri Jan  9 2015 Robert Kukura <rk@theep.net> - 0.9.0-1
- Update to upstream 0.9.0
- Remove precompiled egg-info

* Mon Jan  5 2015 Robert Kukura <rk@theep.net> - 0.9.0-0.5.rc1
- Fix Release tag to include dist

* Mon Jan  5 2015 Robert Kukura <rk@theep.net> - 0.9.0-0.4.rc1
- Update to 0.9.0 rc1
- Remove Group tag
- Use python2_sitelib instead of python_sitelib

* Mon Dec 15 2014 Robert Kukura <rk@theep.net> - 0.1-0.3.2d83b68git
- Update to latest upstream commit

* Thu Dec  4 2014 Robert Kukura <rk@theep.net> - 0.1-0.2.7821534git
- Update to commit with renamed resources

* Wed Nov 19 2014 Robert Kukura <rk@theep.net> - 0.1-0.1.f269444git
- Initial package for Fedora
